Bug 976931 - Make name and icon more understandable
Make name and icon more understandable
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: bijiben (Show other bugs)
19
All All
unspecified Severity medium
: ---
: ---
Assigned To: Pierre-Yves Luyten
Fedora Extras Quality Assurance
AcceptedFreezeException
:
Depends On:
Blocks: F19-accepted/F19FinalFreezeException
  Show dependency treegraph
 
Reported: 2013-06-21 19:30 EDT by Adam Williamson
Modified: 2013-06-26 00:28 EDT (History)
3 users (show)

See Also:
Fixed In Version: bijiben-3.8.3-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-26 00:28:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Williamson 2013-06-21 19:30:27 EDT
This is a Bureaucracy Bug. We already have a build that fixes this bug, but I want to nominate it for a freeze exception.

Bijiben is a note-taking app for GNOME, but you'd need good luck to guess that from the name if you don't speak Chinese, and the original icon was no help either.

If you install a recent (it was added to comps on 06-09) F19 GNOME from DVD or netinst (the live has it removed, presumably to save space) and go to the list of all applications, it's the very first one in the list, so this app with the incomprehensible name and icon kind of jumps out at you, and it looks a bit unpolished.

There's a new build which changes its icon to a typical 'sticky note' kind of thing and makes its name in the apps list just 'Notes', which seems like a solid and safe improvement, so I'd like to nominate this to go in before we get to RCs.
Comment 1 Fedora Update System 2013-06-21 19:34:28 EDT
bijiben-3.8.3-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/bijiben-3.8.3-1.fc19
Comment 2 Kevin Fenzi 2013-06-21 19:42:32 EDT
I'll Note (har har) that this means on say the xfce spin you get two "Notes" items in the menus, but this is still an improvement, so +1 FE.
Comment 3 Adam Williamson 2013-06-21 19:51:52 EDT
well, only if you install Bijiben. It's only in the GNOME comps group, it's not going to be in all spins or anything.
Comment 4 Pierre-Yves Luyten 2013-06-22 16:31:58 EDT
sorry sorry, i forgot the freeze when pushed the update

I can leverage .desktop "OnlyShowIn=GNOME;" and ask xfce note plugin to change to "OnlyShowIn=XFCE;" if they agree it's a good fix
Comment 5 Adam Williamson 2013-06-23 00:48:16 EDT
As long as we're not installing either in the package set for the other, I'm not sure that's really worth doing. Sometimes people do like to use apps outside their 'native' desktop.

It would be nice if we could have some kind of shared mechanism whereby apps with 'generic' names are noted and get prefixed with the name of their native environment when being displayed in another desktop's menu system - so when you were running Xfce, Bijiben would show as 'GNOME Notes', and when you were running GNOME, Xfce's would show as 'Xfce Notes'. Or something like that. But I'm just kinda throwing out ideas there.
Comment 6 Kevin Fenzi 2013-06-23 12:27:38 EDT
Yeah, I don't think we need to rush to do anything here, we should just look at something like what adam suggested for all the items in this class. There's a number of other cases and it's been this way for a long long time. ;) 

Sorry for hyjacking the bug...
Comment 7 Adam Williamson 2013-06-24 14:59:29 EDT
Discussed at 2013-06-24 freeze exception review meeting: http://meetbot.fedoraproject.org/fedora-blocker-review/2013-06-24/f19final-blocker-review-8.2013-06-24-16.00.log.txt . Accepted as a freeze exception issue: the change makes DVD installs look more polished and seems pretty safe.
Comment 8 Adam Williamson 2013-06-25 22:26:06 EDT
Verified fixed in RC2, it shows as 'Notes' with a nice sticky note icon. Thanks for getting this done, folks.
Comment 9 Fedora Update System 2013-06-26 00:28:36 EDT
bijiben-3.8.3-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.